Skip to content

qwen-image-edit-2509

POST https://www.kkiai.com/v1/images/generations

Given a prompt and/or input image, the model will generate a new image.

Request Parameters

Header Parameters

Parameter NameTypeRequiredDescriptionExample
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

Parameter NameTypeRequiredDescription
modelstringRequired
promptstringRequired
imagestringRequired

Request Example

json
{
  "model": "qwen-image-edit-2509",
  "prompt": "Add a small duck illustration to the front of the woman's T-shirt.",
  "image": "https://v3.fal.media/files/penguin/XoW0qavfF-ahg-jX4BMyL_image.webp"
  
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/v1/images/generations' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "model": "qwen-image-edit-2509",
  "prompt": "Add a small duck illustration to the front of the woman'\''s T-shirt.",
  "image": "https://v3.fal.media/files/penguin/XoW0qavfF-ahg-jX4BMyL_image.webp"
  
}'

Response

🟢 200 Success

Response Body

Parameter NameTypeRequiredDescription
dataarray[object]Required
  └ urlstringOptional
createdintegerRequired
usageobjectRequired
  └ prompt_tokensintegerRequired
  └ completion_tokensintegerRequired
  └ total_tokensintegerRequired
  └ prompt_tokens_detailsobjectRequired
  └ completion_tokens_detailsobjectRequired
  └ output_tokensintegerRequired

Response Example

json
{
    "data": [
        {
            "url": "https://cdn.qwenlm.ai/output/629c2af9-f8d8-4667-b6c9-bede5854a4d4/t2i/c38fb9ef-7ede-48ff-8295-fc3388300b3b/1758636609.png?key=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJyZXNvdXJjZV91c2VyX2lkIjoiNjI5YzJhZjktZjhkOC00NjY3LWI2YzktYmVkZTU4NTRhNGQ0IiwicmVzb3VyY2VfaWQiOiIxNzU4NjM2NjA5IiwicmVzb3VyY2VfY2hhdF9pZCI6IjQ2YzZhZTU0LWY1ZGQtNGI5Ni04YzIwLTE4MjY3MDAzNjAzZiJ9.ozZAA_-LDKY_WtsGAQvsuurIA-wWBxSmF1C64ueum1I"
        }
    ],
    "created": 1758636610
}